System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.TypeConverter(typeof(System.Data.ConstraintConverter)) System.ComponentModel.DefaultProperty("ConstraintName")

A constraint is a rule used to maintain the integrity of the data in the . For example, when you delete a value that is used in one or more related tables, a determines whether the values in the related tables are also deleted, set to null values, set to default values, or whether no action occurs. A , on the other hand, just makes sure that all values within a particular table are unique. For more information, see Adding Constraints to a Table.

A base constructor is not used. Primary or unique key constraints are created by using the constructor, and foreign key constraints are created by using the constructor.

Represents a constraint that can be enforced on one or more objects.

- Constructor

  This constructor is called by derived class constructors to initialize state in this type.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Data.DataSet To be added. To be added.

  Gets the to which this constraint belongs.

- Method
  System.Void To be added

  Gets the to which this constraint belongs.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The is returned by the property of the class.

  The name of a constraint in the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Property
  System.Data.PropertyCollection To be added: an object of type 'PropertyCollection'

  Extended properties must be of type . Properties that are not of type are not persisted when the is written as XML.

  Gets the collection of user-defined constraint properties.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  Sets the constraint's .

  The to which this constraint will belong.
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the to which the constraint applies.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Gets the , if there is one, as a string.

  The string value of the .

  1.0.5000.0
  2.0.0.0